Package org.eclipse.ui.keys

# Interface IKeyFormatter

@Deprecated(forRemoval=true, since="2024-03") public interface IKeyFormatter
Deprecated, for removal: This API element is subject to removal in a future version.
Please use org.eclipse.jface.bindings.keys.IKeyFormatter
Any formatter capable of taking key sequence or a key stroke and converting it into a string. These formatters are used to produce the strings that the user sees in the keys preference page and the menus, as well as the strings that are used for persistent storage.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`String`
`format(Key key)`
Deprecated, for removal: This API element is subject to removal in a future version.
Formats an individual key into a human readable format.
`String`
`format(KeySequence keySequence)`
Deprecated, for removal: This API element is subject to removal in a future version.
Format the given key sequence into a string.
`String`
`format(KeyStroke keyStroke)`
Deprecated, for removal: This API element is subject to removal in a future version.
Format the given key strokes into a string.

## Method Details

### format

String format(Key key)
Deprecated, for removal: This API element is subject to removal in a future version.
Formats an individual key into a human readable format. This uses an internationalization resource bundle to look up the key. This does not do any platform-specific formatting (e.g., Carbon's command character).

Parameters:
  `key` - The key to format; must not be `null`.
Returns:
  The key formatted as a string; should not be `null`.

### format

String format(KeySequence keySequence)
Deprecated, for removal: This API element is subject to removal in a future version.
Format the given key sequence into a string. The manner of the conversion is dependent on the formatter. It is required that unequal key seqeunces return unequal strings.

Parameters:
  `keySequence` - The key sequence to convert; must not be `null`.
Returns:
  A string representation of the key sequence; must not be `null`.

### format

String format(KeyStroke keyStroke)
Deprecated, for removal: This API element is subject to removal in a future version.
Format the given key strokes into a string. The manner of the conversion is dependent on the formatter. It is required that unequal key strokes return unequal strings.

Parameters:
  `keyStroke` - The key stroke to convert; must not be `null`.
Returns:
  A string representation of the key stroke; must not be `null`